Rapid7 Vulnerability & Exploit Database

FFmpeg: CVE-2021-30123: Buffer Copy without Checking Size of Input ('Classic Buffer Overflow')

Back to Search

FFmpeg: CVE-2021-30123: Buffer Copy without Checking Size of Input ('Classic Buffer Overflow')

Severity
7
CVSS
(AV:N/AC:M/Au:N/C:P/I:P/A:P)
Published
04/07/2021
Created
04/15/2021
Added
04/15/2021
Modified
07/28/2021

Description

FFmpeg <=4.3 contains a buffer overflow vulnerability in libavcodec through a crafted file that may lead to remote code execution.

Solution(s)

  • ffmpeg-upgrade-4_4

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;